### Method

# FwupdPlugin BiosSettings get_all

since: 1.8.4

#### Declaration [src]

    GPtrArray*
    fu_bios_settings_get_all (
      FuBiosSettings* self
    )

#### Description [src]

Gets all the attributes in the object.

Available since: 1.8.4

#### Return value

Type: An array of `FwupdBiosSetting*`

Attributes.

The caller of the method takes ownership of the returned data container, but not the data inside it.